Skip to content

createCountry

Request

Bodyapplication/jsonrequired
codestring, [ 0 .. 5 ] charactersrequired

Country code (usually ISO numeric or custom).

Default:""
Example:"724"
languageinteger, (int32)

Language ID for the country.

Default:""
Example:1
currencyinteger, (int32)

Currency ID for the country.

Default:""
Example:1
agencyinteger, (int32)

Agency ID for the country.

Default:""
Example:1
geographicalLocationstring(ApiGeographicalLocationEnum)required

Geographical location of the country.

Default:""
Enum:"CEUTA_MELILLA_CANARIAS""COMMUNITY""NATIONAL""OTHERS"
Example:"EUROPE"
descriptionstring, [ 0 .. 100 ] charactersrequired

Country name or description.

Default:""
Example:"Spain"
prefixstring

Phone prefix of the country.

Default:""
Example:"+34"
internationalCodestring

International country code.

Default:""
Example:"ES"
accountingAccountinteger, (int32)

Accounting account ID for the country.

Default:""
Example:1
intrastatCodestring, [ 0 .. 5 ] characters

Intrastat commodity code.

Default:""
Example:"1000"
intrastatUnitsstring, [ 0 .. 10 ] characters

Intrastat unit of measurement.

Default:""
Example:"KG"
intrastatPercentagenumber

Intrastat percentage.

Default:""
Example:1.5
observationsstring

Additional observations about the country.

Default:""
isoCodestring(ApiAlpha2CountryCodeEnum)

ISO Alpha-2 country code.

Default:""
Enum:"AD""AE""AF""AG""AI""AL""AM""AO""AQ""AR"
Example:"ES"
alpha3IsoCodestring(ApiAlpha3CountryCodeEnum)

ISO Alpha-3 country code.

Default:""
Enum:"AFG""ALA""ALB""DZA""ASM""AND""AGO""AIA""ATA""ATG"
Example:"ESP"
fdiCodestring(ApiFDICodesEnum)

FDI country code.

Default:""
Enum:"A""D""E""F""I""N""P"
Example:"ES"
sepaZoneboolean

Indicates if country is in SEPA zone.

Default:false
Example:true
includeAddressInSepaboolean

Include address in SEPA operations.

Default:false
Example:false
creditSuretystring, [ 0 .. 5 ] characters

Credit surety information.

Default:""
Example:"Credit insurance"
languagesobject

Map of language codes and descriptions.

Default:""
customerVatTypeinteger, (int32)

Customer VAT type ID.

Default:""
Example:1
POST
/api/v1/country
curl -i -X POST \
  https://api.prana.software/api/v1/country \
  -H 'Content-Type: application/json'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
codestring, non-emptyrequired

Country code (usually ISO numeric or custom).

Default:""
Example:"724"
languageobject(ApiLanguageListReadDto)

Official language object. See LanguageListReadDto.java for structure.

Default:""
currencyobject(ApiCurrencyListReadDto)

Reference currency object for this country. See CurrencyListReadDto.java for structure.

Default:""
agencyobject(ApiAgencyListReadDto)

Associated agency information. See AgencyListReadDto.java for structure.

Default:""
geographicalLocationstring(ApiGeographicalLocationEnum)required

Geographical location of the country. See GeographicalLocationEnum enum for possible values.

Default:""
Enum:"CEUTA_MELILLA_CANARIAS""COMMUNITY""NATIONAL""OTHERS"
Example:"EUROPE"
descriptionstring, non-emptyrequired

Country name or description.

Default:""
Example:"Spain"
prefixstring

Phone prefix of the country.

Default:""
Example:"+34"
internationalCodestring

International country code.

Default:""
Example:"ES"
accountingAccountobject(ApiChartAccountListReadDto)

Accounting account for this country. See ChartAccountListReadDto.java for structure.

Default:""
intrastatCodestring

Intrastat commodity code for international trade.

Default:""
Example:"1000"
intrastatUnitsstring

Unit of measurement for Intrastat declarations.

Default:""
Example:"KG"
intrastatPercentagenumber

Percentage used for Intrastat reporting.

Default:""
Example:1.5
observationsstring

Additional observations or notes about the country.

Default:""
Example:"Is a member of EU since 1986."
isoCodestring(ApiAlpha2CountryCodeEnum)

ISO Alpha-2 country code.

Default:""
Enum:"AD""AE""AF""AG""AI""AL""AM""AO""AQ""AR"
Example:"ES"
alpha3IsoCodestring(ApiAlpha3CountryCodeEnum)

ISO Alpha-3 country code.

Default:""
Enum:"AFG""ALA""ALB""DZA""ASM""AND""AGO""AIA""ATA""ATG"
Example:"ESP"
fdiCodestring

FDI country code.

Default:""
Example:"ES"
sepaZoneboolean

True if country participates in SEPA zone.

Default:false
Example:true
includeAddressInSepaboolean

If true, country address is included for SEPA operations.

Default:false
Example:false
creditSuretystring

Credit surety information for the country.

Default:""
Example:"Credit insurance with national provider"
languagesobject

Map of language keys and their description for this country. Example: {"es": "EspaƱol", "en": "English"}

Default:""
customerVatTypeobject(ApiCustomerVatTypeListReadDto)

Customer VAT type for this country. See CustomerVatTypeListReadDto.java for structure.

Default:""
Response
// No response example